<?php

namespace Drupal\s3fs_streamwrapper;

use Drupal\Core\DependencyInjection\Compiler\RegisterStreamWrappersPass;
use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Drupal\s3fs_streamwrapper\Compiler\S3fsRegisterStreamWrappers;

/**
 * Registers overrides to allow streamWrapper operations.
 */
class S3fsStreamwrapperServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function register(ContainerBuilder $container): void {
    // Tag our schemes into the service container.
    $container->addCompilerPass(new S3fsRegisterStreamWrappers());
    // Instruct core to register our schemes. This must be after
    // S3fsRegisterStreamWrappers.
    $container->addCompilerPass(new RegisterStreamWrappersPass());
  }

}
